package com.nisum.order_producer.service;

import com.nisum.order_producer.dto.OrderDto;
import com.nisum.order_producer.entity.Order;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface OrderProducerService {

    public Mono<Order> saveOrder(Order order);

    public Flux<Order> getAllOrder();

    public Mono<Order> getByOrderId(String id);
}
