package com.nisum.order_producer.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;


public class OrderDto {

    @NotNull
    private String orderId;

    private String customerId;
    private List<ItemDto> items;
    private String createdBy;
    private String modifiedBy;

   }
